Available in Classic and VPC
Get image search results from NAVER Search.
Image searches use the Search API, which has a daily call limit of 25,000.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /search/v1/image |
Request headers
For information about the headers common to NAVER API HUB, see NAVER API HUB request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
query |
String | Required | Search keyword
|
display |
Integer | Optional | Number of search results to display at a time
|
start |
Integer | Optional | Search start location
|
sort |
String | Optional | How to sort search results
|
filter |
String | Optional | Search result filter by size
|
format |
String | Optional | Response format
|
Request example
The request example is as follows:
curl --location --request GET https://naverapihub.apigw.ntruss.com/search/v1/image?query=Coffee&display=2&start=1&sort=date&filter=large&format=json
--header X-NCP-APIGW-API-KEY-ID: {Client ID}
--header X-NCP-APIGW-API-KEY: {Client Secret}
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
lastBuildDate |
String | - | Time the search results were generated |
total |
Integer | - | Total number of search results |
start |
Integer | - | Starting location for the search |
display |
Integer | - | Number of search results to display at a time |
items |
Array | - | List of individual search results: items |
items
The following describes items.
| Field | Type | Required | Description |
|---|---|---|---|
title |
String | - | Title of the document in which the image was found |
link |
String | - | URL of the image |
thumbnail |
String | - | URL of the thumbnail image |
sizeheight |
String | - | Height of the image (pixel) |
sizewidth |
String | - | Width of the image (pixel) |
Response status codes
The following describes the response status codes.
| HTTP status code | Code | Message | Description |
|---|---|---|---|
| 400 | SE01 |
Incorrect query request | Check for errors in the API request URL, such as the protocol or parameters. |
| 400 | SE02 |
Invalid display value. | Check that the display value is within the allowed range. |
| 400 | SE03 |
Invalid start value | Check that the start value is within the allowed range. |
| 400 | SE04 |
Invalid sort value | Check the sort value for typos. |
| 400 | SE06 |
Malformed encoding | Encode the search keyword in UTF-8. |
| 404 | SE05 |
Invalid search API | Check the API request URL for typos. |
| 500 | SE99 |
System error | An error occurred internally on the server. |
For information about the HTTP status codes common to all NAVER API HUB, see NAVER API HUB response status codes.
Response example
The response example is as follows:
{
"lastBuildDate": "Thu, 11 Jun 2026 18:43:28 +0900",
"total": 25055897,
"start": 1,
"display": 2,
"items": [
{
"title": "A cup of <b>coffee</b> and beans",
"link": "https://{imageHost}/{imagePath}.jpg",
"thumbnail": "https://search.pstatic.net/sunny/?type=b150&src=https%3A%2F%2F{imageHost}%2F{imagePath}.jpg",
"sizeheight": "1023",
"sizewidth": "682"
},
{
"title": "Still life with <b>coffee</b> and a book",
"link": "https://{imageHost}/{imagePath}.jpg",
"thumbnail": "https://search.pstatic.net/sunny/?type=b150&src=https%3A%2F%2F{imageHost}%2F{imagePath}.jpg",
"sizeheight": "682",
"sizewidth": "1023"
}
]
}